apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: prom-stack-secrets-external
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: gitlab-secret-store
  target:
    name: prom-stack-secrets
    creationPolicy: Owner
  data:
    - secretKey: admin-user
      remoteRef:
        key: GRAFANA_ADMIN_USER
    - secretKey: admin-password
      remoteRef:
        key: GRAFANA_ADMIN_PASSWORD
